Topology
20 operations. Call any of them with omada_call_operation (or, in full tool mode, as a tool named by its operationId).
| Operation | Method | Summary |
|---|---|---|
| getDeviceLinkTopology | GET | Get Device Link Topology |
| getTopology | GET | Get site topology |
| refreshTopology | POST | Refresh site topology |
| getDevicesOfVlan | GET | Search Devices of Vlan in Topology |
| getAvailableNetworks | GET | Get available network |
| getGridAvailableSsids | GET | Get available ssids |
| getAvailableVlans | GET | Get available vlans |
| getTopologyClientsByDevice | GET | Get the clients by device |
| getTopologyClients | GET | Get the clients |
| getTopologyClientsByDevices | POST | Get the clients by devices. |
| getTopologyDiscoveryStatus | GET | Get topology discovery status |
| getIsolatedAndPreConfigDevices | GET | Get isolated and preconfigured devices |
| getTopologyNodes | GET | Get topology nodes |
| setTopologyNode | POST | Set site topology top node |
| getGridDeviceClient | GET | Search Device or Client in Topology |
| getDevicesOfSsid | GET | Search Devices of Ssid in Topology |
| getMspDeviceLinkTopology | GET | Get Msp Device Link Topology |
| getV3Topology | GET | Get site topology, version 3 |
| getFilterDevicesOfVlan | GET | Filter Devices of Vlan in Topology |
| getFilterDevicesOfSsid | GET | Filter Devices of Ssid in Topology |
getDeviceLinkTopology
GET /openapi/v2/{omadacId}/sites/{siteId}/devices/{deviceMac}/device-link-topology
Get Device Link Topology
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
deviceMac | path | string | yes | Device MAC address, like AA-BB-CC-DD-EE-FF |
// omada_call_operation
{
"operationId": "getDeviceLinkTopology",
"params": {
"siteId": "<siteId>",
"deviceMac": "<deviceMac>"
}
}Details, permissions and error codes
Get link topology of the device with the given omadacId, siteId and deviceMac.
The interface requires one of the permissions:
Site Settings Manager View Only
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33004 - Operation failed because other operations (site copying, restoring, template synchronizing, etc.) are being performed on this site. Please wait and try again later.
getTopology
GET /openapi/v2/{omadacId}/sites/{siteId}/topology
Get site topology
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
// omada_call_operation
{
"operationId": "getTopology",
"params": {
"siteId": "<siteId>"
}
}Details, permissions and error codes
Get topology of the site with the given omadacId and siteId.
The interface requires one of the permissions:
Site Map Manager View Only
Site Home View Only
Site Dashboard Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33004 - Operation failed because other operations (site copying, restoring, template synchronizing, etc.) are being performed on this site. Please wait and try again later.
refreshTopology
POST /openapi/v2/{omadacId}/sites/{siteId}/topology
Refresh site topology
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
// omada_call_operation
{
"operationId": "refreshTopology",
"params": {
"siteId": "<siteId>"
}
}Details, permissions and error codes
Refresh topology of the site with the given omadacId and siteId.
The interface requires one of the permissions:
Site Map Manager View Only
Site Home View Only
Site Dashboard Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33004 - Operation failed because other operations (site copying, restoring, template synchronizing, etc.) are being performed on this site. Please wait and try again later.
getDevicesOfVlan
GET /openapi/v2/{omadacId}/sites/{siteId}/topology/{networkId}/vlan/{vlan}/devices
Search Devices of Vlan in Topology
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
networkId | path | string | yes | networkId |
vlan | path | string | yes | vlan |
// omada_call_operation
{
"operationId": "getDevicesOfVlan",
"params": {
"siteId": "<siteId>",
"networkId": "<networkId>",
"vlan": "<vlan>"
}
}Details, permissions and error codes
Search for devices of vlan in topology with given omadacId and siteId by networkId and vlan.
The interface requires one of the permissions:
Site Settings Manager View Only
Site Device Manager View Only
Site Dashboard Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33004 - Operation failed because other operations (site copying, restoring, template synchronizing, etc.) are being performed on this site. Please wait and try again later.
getAvailableNetworks
GET /openapi/v2/{omadacId}/sites/{siteId}/topology/available-network
Get available network
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
// omada_call_operation
{
"operationId": "getAvailableNetworks",
"params": {
"siteId": "<siteId>"
}
}Details, permissions and error codes
Get available wired and wireless network with the given omadacId and siteId.
The interface requires one of the permissions:
Site Map Manager View Only
Site Dashboard Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33004 - Operation failed because other operations (site copying, restoring, template synchronizing, etc.) are being performed on this site. Please wait and try again later.
getGridAvailableSsids
GET /openapi/v2/{omadacId}/sites/{siteId}/topology/available-ssids
Get available ssids
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
page | query | integer | no | Start page number. Start from 1. (default 1) |
pageSize | query | integer | no | Number of entries per page. It should be within the range of 1–1000. (default 100) |
searchKey | query | string | yes | Fuzzy query parameters, support field |
// omada_call_operation
{
"operationId": "getGridAvailableSsids",
"params": {
"siteId": "<siteId>",
"searchKey": "<searchKey>"
}
}Details, permissions and error codes
Get available wireless network with the given omadacId and siteId.
The interface requires one of the permissions:
Site Map Manager View Only
Site Dashboard Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33004 - Operation failed because other operations (site copying, restoring, template synchronizing, etc.) are being performed on this site. Please wait and try again later.
getAvailableVlans
GET /openapi/v2/{omadacId}/sites/{siteId}/topology/available-vlans
Get available vlans
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
// omada_call_operation
{
"operationId": "getAvailableVlans",
"params": {
"siteId": "<siteId>"
}
}Details, permissions and error codes
Get available wired network with the given omadacId and siteId.
The interface requires one of the permissions:
Site Map Manager View Only
Site Dashboard Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33004 - Operation failed because other operations (site copying, restoring, template synchronizing, etc.) are being performed on this site. Please wait and try again later.
getTopologyClientsByDevice
GET /openapi/v2/{omadacId}/sites/{siteId}/topology/devices/{mac}/all-clients
Get the clients by device
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
mac | path | string | yes | Device MAC address, like AA-BB-CC-DD-EE-FF |
filters.type | query | string | yes | Filter query parameters, support field filter client group type. 0: except ipc; 1: just ipc; 0,1: all client. |
// omada_call_operation
{
"operationId": "getTopologyClientsByDevice",
"params": {
"siteId": "<siteId>",
"mac": "<mac>",
"filters.type": "<filters.type>"
}
}Details, permissions and error codes
Get the clients in topology of the device with the given omadacId , siteId and device Mac.
The interface requires one of the permissions:
Site Map Manager View Only
Site Dashboard Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33004 - Operation failed because other operations (site copying, restoring, template synchronizing, etc.) are being performed on this site. Please wait and try again later.
getTopologyClients
GET /openapi/v2/{omadacId}/sites/{siteId}/topology/devices/{mac}/clients
Get the clients
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
mac | path | string | yes | Device MAC address, like AA-BB-CC-DD-EE-FF |
// omada_call_operation
{
"operationId": "getTopologyClients",
"params": {
"siteId": "<siteId>",
"mac": "<mac>"
}
}Details, permissions and error codes
Get the clients in topology of the device with the given omadacId , siteId and device Mac.
The interface requires one of the permissions:
Site Map Manager View Only
Site Home View Only
Site Dashboard Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33004 - Operation failed because other operations (site copying, restoring, template synchronizing, etc.) are being performed on this site. Please wait and try again later.
getTopologyClientsByDevices
POST /openapi/v2/{omadacId}/sites/{siteId}/topology/devices/all-clients
Get the clients by devices.
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
Request body — application/json (required) — schema TopologyClientsQuery
| Field | Type | Required | Description |
|---|---|---|---|
deviceMacs | array<ClientsQueryMacAndFilterType> | no | Device macs. |
// omada_call_operation
{
"operationId": "getTopologyClientsByDevices",
"params": {
"siteId": "<siteId>"
},
"body": "{...}"
}Details, permissions and error codes
Get the clients in topology of the devices with the given omadacId , siteId and device macs.
The interface requires one of the permissions:
Site Settings Manager Modify
Site Dashboard Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33004 - Operation failed because other operations (site copying, restoring, template synchronizing, etc.) are being performed on this site. Please wait and try again later.
getTopologyDiscoveryStatus
GET /openapi/v2/{omadacId}/sites/{siteId}/topology/discovery/status
Get topology discovery status
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
// omada_call_operation
{
"operationId": "getTopologyDiscoveryStatus",
"params": {
"siteId": "<siteId>"
}
}Details, permissions and error codes
Get the status of whether the topology is calculating or not with the given omadacId and siteId.
The interface requires one of the permissions:
Site Map Manager View Only
Site Home View Only
Site Dashboard Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33004 - Operation failed because other operations (site copying, restoring, template synchronizing, etc.) are being performed on this site. Please wait and try again later.
getIsolatedAndPreConfigDevices
GET /openapi/v2/{omadacId}/sites/{siteId}/topology/isolated-and-pre-config
Get isolated and preconfigured devices
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
// omada_call_operation
{
"operationId": "getIsolatedAndPreConfigDevices",
"params": {
"siteId": "<siteId>"
}
}Details, permissions and error codes
Get devices whose status is isolated or pre config with the given omadacId and siteId.
The interface requires one of the permissions:
Site Map Manager View Only
Site Dashboard Manager View Only
Network Config Page View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33004 - Operation failed because other operations (site copying, restoring, template synchronizing, etc.) are being performed on this site. Please wait and try again later.
getTopologyNodes
GET /openapi/v2/{omadacId}/sites/{siteId}/topology/nodes
Get topology nodes
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
// omada_call_operation
{
"operationId": "getTopologyNodes",
"params": {
"siteId": "<siteId>"
}
}Details, permissions and error codes
Get the nodes in topology that can be set as topNode with the given omadacId and siteId. Only three types could be set when there is no gateway:switch、olt and other. Otherwise, this method will return empty list
The interface requires one of the permissions:
Site Map Manager View Only
Site Home View Only
Site Dashboard Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33004 - Operation failed because other operations (site copying, restoring, template synchronizing, etc.) are being performed on this site. Please wait and try again later.
setTopologyNode
POST /openapi/v2/{omadacId}/sites/{siteId}/topology/nodes
Set site topology top node
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
Request body — application/json (required) — schema TopologyRootNode
| Field | Type | Required | Description |
|---|---|---|---|
type | string | no | Root Node Type, which can only be one of the following three types: switch, olt and other. |
mac | string | no | Root Node MAC address, like AA-BB-CC-DD-EE-FF. |
specificType | integer | no | MultiSwitch Node SpecificType, which can only be one of the following two types: 0:Mlag and 1:Vrrp. |
macList | array<string> | no | MultiSwitch Node MAC list. |
discoveryMode | integer | no | Discovery Mode, which can only be one of the following two types: 0:Manual and 1:Auto. |
// omada_call_operation
{
"operationId": "setTopologyNode",
"params": {
"siteId": "<siteId>"
},
"body": "{...}"
}Details, permissions and error codes
Set topology top node of the site with the given omadacId, siteId and rootNode. Only three types could be set when there is no gateway:switch、olt and other. Otherwise, this method is invalid
The interface requires one of the permissions:
Site Map Manager Modify
Site Home Modify
Site Dashboard Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33004 - Operation failed because other operations (site copying, restoring, template synchronizing, etc.) are being performed on this site. Please wait and try again later.
getGridDeviceClient
GET /openapi/v2/{omadacId}/sites/{siteId}/topology/search-device-client
Search Device or Client in Topology
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
page | query | integer | no | Start page number. Start from 1. (default 1) |
pageSize | query | integer | no | Number of entries per page. It should be within the range of 1–1000. (default 100) |
searchKey | query | string | yes | Fuzzy query parameters, support field |
// omada_call_operation
{
"operationId": "getGridDeviceClient",
"params": {
"siteId": "<siteId>",
"searchKey": "<searchKey>"
}
}Details, permissions and error codes
Search for devices or clients in topology with given omadacId and siteId by mac and name.
The interface requires one of the permissions:
Site Map Manager View Only
Site Dashboard Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33004 - Operation failed because other operations (site copying, restoring, template synchronizing, etc.) are being performed on this site. Please wait and try again later.
getDevicesOfSsid
GET /openapi/v2/{omadacId}/sites/{siteId}/topology/ssids/{ssidId}/devices
Search Devices of Ssid in Topology
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
ssidId | path | string | yes | SSID ID |
// omada_call_operation
{
"operationId": "getDevicesOfSsid",
"params": {
"siteId": "<siteId>",
"ssidId": "<ssidId>"
}
}Details, permissions and error codes
Search for devices of ssid in topology with given omadacId and siteId by ssidId.
The interface requires one of the permissions:
Site Settings Manager View Only
Site Dashboard Manager View Only
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33004 - Operation failed because other operations (site copying, restoring, template synchronizing, etc.) are being performed on this site. Please wait and try again later.
getMspDeviceLinkTopology
GET /openapi/v2/msp/{mspId}/customers/{customerId}/sites/{siteId}/devices/{deviceMac}/device-link-topology
Get Msp Device Link Topology
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
mspId | path | string | auto | MSP ID (filled in automatically) |
customerId | path | string | yes | Customer ID |
siteId | path | string | yes | Site ID (site ID or site name) |
deviceMac | path | string | yes | Device MAC address, like AA-BB-CC-DD-EE-FF |
// omada_call_operation
{
"operationId": "getMspDeviceLinkTopology",
"params": {
"customerId": "<customerId>",
"siteId": "<siteId>",
"deviceMac": "<deviceMac>"
}
}Details, permissions and error codes
Get msp link topology of the device with the given mspId, siteId and deviceMac.
The interface requires one of the permissions:
Site Settings Manager View Only
MSP Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33004 - Operation failed because other operations (site copying, restoring, template synchronizing, etc.) are being performed on this site. Please wait and try again later.
getV3Topology
GET /openapi/v3/{omadacId}/sites/{siteId}/topology
Get site topology, version 3
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
filters.deviceStatus | query | string | yes | Filter query parameters, support field device status. 0: connected; 1: disconnected; 0,1: both. |
// omada_call_operation
{
"operationId": "getV3Topology",
"params": {
"siteId": "<siteId>",
"filters.deviceStatus": "<filters.deviceStatus>"
}
}Details, permissions and error codes
Get topology of the site with the given omadacId, siteId and deviceStatus.
The interface requires one of the permissions:
Site Map Manager View Only
Site Home View Only
Site Dashboard Manager View Only
Network Config Page View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33004 - Operation failed because other operations (site copying, restoring, template synchronizing, etc.) are being performed on this site. Please wait and try again later.
getFilterDevicesOfVlan
GET /openapi/v3/{omadacId}/sites/{siteId}/topology/{networkId}/vlan/{vlan}/devices
Filter Devices of Vlan in Topology
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
networkId | path | string | yes | networkId |
vlan | path | string | yes | vlan |
// omada_call_operation
{
"operationId": "getFilterDevicesOfVlan",
"params": {
"siteId": "<siteId>",
"networkId": "<networkId>",
"vlan": "<vlan>"
}
}Details, permissions and error codes
Filter devices of vlan in topology with given omadacId and siteId by networkId and vlan.
The interface requires one of the permissions:
Site Settings Manager View Only
Site Device Manager View Only
Site Dashboard Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33004 - Operation failed because other operations (site copying, restoring, template synchronizing, etc.) are being performed on this site. Please wait and try again later.
getFilterDevicesOfSsid
GET /openapi/v3/{omadacId}/sites/{siteId}/topology/ssids/{ssidId}/devices
Filter Devices of Ssid in Topology
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
ssidId | path | string | yes | SSID ID |
// omada_call_operation
{
"operationId": "getFilterDevicesOfSsid",
"params": {
"siteId": "<siteId>",
"ssidId": "<ssidId>"
}
}Details, permissions and error codes
Filter devices of ssid in topology with given omadacId and siteId by ssidId.
The interface requires one of the permissions:
Site Settings Manager View Only
Site Dashboard Manager View Only
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33004 - Operation failed because other operations (site copying, restoring, template synchronizing, etc.) are being performed on this site. Please wait and try again later.